Match Surface Brep Edge Selection

I’m trying to create a simple grasshopper c# script which runs the _matchSrf command.
The issue I’m running into is the subselection of the edges.
Because matchsrf does not let you pre-select the edges (then run the command), I wanted to know if anyone knows a way to either call a “sel…” command or programmatically pass the edge into into the command

Guid ID = Rhino.RhinoDoc.ActiveDoc.Objects.AddBrep(brep);
Rhino.DocObjects.RhinoObject rhinoObj = Rhino.RhinoDoc.ActiveDoc.Objects.FindId(ID);
rhinoObj.SelectSubObject(brep.Edges[index].ComponentIndex(), true, true, true);

Perhaps using the script above to get the edge, then pass it into the command below.

Rhino.RhinoApp.RunScript("_matchsrf ", false);